NAK: [PATCH 0/1] [Unstable] UBUNTU: [Debian] Bump Debian compat to v10

seth.forshee at canonical.com seth.forshee at canonical.com
Thu Jul 16 21:04:14 UTC 2020


On Thu, Jul 16, 2020 at 12:53:49PM +0200, Paolo Pisati wrote:
> Ubuntu kernel still uses a deprecated Debian compat level:
> 
> "dh_clean: warning: Compatibility levels before 10 are deprecated (level
> 9 in use)"
> 
> Express the new compatibility level using a "Build-depends:
> debhelper-compat (= 10)" entry in debian/control, adding versioned build
> dependency on the debhelper package, and retiring the debian/compat
> file.
> 
> A full rebuild was done and the resulting deb's/udeb's were compared
> (both `dpkg-deb --control` and `dpkg-deb --extract`) against our binary
> v9s, with no substantial differences found.
> 
> For a detailed list of changes between v9 and v10, please see 'man 7
> debhelper', "Supported compatibility levels" section.

A v2 series has been sent, so nacking this one.



More information about the kernel-team mailing list